;; Zustzlich zu /etc/emacs/50keys.el

; (global-set-key [f9]          'TeX-command-master)
(add-hook 'c-mode-hook 'my-cc-compile)
(add-hook 'makefile-mode-hook 'my-cc-compile)
;;; (add-hook 'jde-mode-hook 'my-jde-compile)
;;; (add-hook 'java-mode-hook 'my-jde-compile)
(add-hook 'TeX-mode-hook 'my-tex-compile)

(defun my-cc-compile ()
  "F9: Compile in cc-mode."
  (local-set-key [f9]          'compile))

;;; (defun my-jde-compile ()
;;;   "F9: Compile in jde-mode."
;;;   (local-set-key [f9]          'compile))

(defun my-java-compile ()
  "F9: Compile in java-mode."
  (local-set-key [f9]          'compile))

(defun my-tex-compile ()
  "F9: TeX in tex-mode."
  (local-set-key [f9]          'tex-save-and-compile))

(defun tex-save-and-compile ()
  "Save before TeX-run."
  (interactive)
  (save-buffer)
  (TeX-command-master))

;; "-Behandlung: aus /usr/share/doc/texmf/help/faq/de-tex-faq/part11.gz
(add-hook 'TeX-mode-hook
  (function (lambda ()
    ;;
    ;; 1. gesonderte Behandlung von " ganz abschalten
    ; (local-set-key "\"" 'self-insert-command)
    ;;
    ;; 2. je ein " statt ``...'' einfuegen:
    ; (setq TeX-open-quote "\"")
    ; (setq TeX-close-quote "\"")
    ;;
    ;; 3. "`..."' statt ``...'' einfuegen:
    (setq TeX-open-quote "\"`")
    (setq TeX-close-quote "\"'")
    )))

